# std::experimental::make_observer

From cppreference.com
< cpp‎ | experimental‎ | observer ptr

Defined in header `<experimental/memory>` |  |
template <class W> std::experimental::observer_ptr<W> make_observer(W* p); |  | (library fundamentals TS v2)

Creates an `observer_ptr` object, deducing the template argument from the type of the function argument.

### Parameters

p | - | pointer to the object to be watched by the `observer_ptr` object

### Return value

A `observer_ptr` object, created as if by std::experimental::observer_ptr<W>(p).

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/observer_ptr/make_observer&oldid=91349"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template